using System;
using System.Collections.Generic;
using Library;
using LitJson;
using System.Linq;
using MySystem.Models;

namespace MySystem
{
    public class ConsumerOrdersReturnStatService
    {
        public readonly static ConsumerOrdersReturnStatService Instance = new ConsumerOrdersReturnStatService();
        private ConsumerOrdersReturnStatService()
        { }

        public void Start(JobMqMsg jobInfo)
        {
            string content = "";
            try
            {
                ProfitHelper.Instance.StartListenTradeDo();
                // string Msg = "success";
                // jobInfo.Status = Msg == "success" ? 1 : 0;
                // jobInfo.Msg = Msg == "success" ? "执行完成" : Msg;
                // RabbitMQClient.Instance.SendMsg(Newtonsoft.Json.JsonConvert.SerializeObject(jobInfo), "PublicBack");
            }
            catch (Exception ex)
            {
                if (!string.IsNullOrEmpty(content))
                {
                    Dictionary<string, string> data = new Dictionary<string, string>();
                    data.Add("ErrTime", DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss"));
                    data.Add("ErrMsg", ex.ToString());
                    LogHelper.Instance.WriteLog(Newtonsoft.Json.JsonConvert.SerializeObject(data), "public_err");
                }
                else
                {
                    LogHelper.Instance.WriteLog(DateTime.Now.ToString() + ":" + ex.ToString(), "public_service");
                }
            }
        }
    }
}